export default () => ({
  host: process.env.APP_HOST || '0.0.0.0',
  port: parseInt(process.env.APP_PORT, 10) || 3000,
  database: process.env.DATABASE_CONFIG
    ? JSON.parse(process.env.DATABASE_CONFIG)
    : {
        type: 'sqlite',
        database: 'data.db',
        autoLoadEntities: true,
        synchronize: true,
      },
  cacheTTL: parseInt(process.env.ZONE_CACHE_TTL, 10) || 1600,
  zoneDir: '.',
  managementKey: process.env.MANAGEMENT_KEY || 'ch4ng3 m3!',
  rndc: {
    host: process.env.RNDC_SERVER || '127.0.0.1',
    port: parseInt(process.env.RNDC_PORT, 10) || 953,
    keyFile: process.env.RNDC_KEYFILE || 'rndc.key',
  },
  managementIPs: process.env.MANAGEMENT_IP
    ? JSON.parse(process.env.MANAGEMENT_IP)
    : ['127.0.0.1'],
});
